Bug 150229 - dos2unix compiler warnings that should be easy to fix
Summary: dos2unix compiler warnings that should be easy to fix
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: dos2unix   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-03 20:49 UTC by Mike A. Harris
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 14:41:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike A. Harris 2005-03-03 20:49:28 UTC
Compiler warnings from dos2unix gcc 4 build for FC4.  Low priority
thing to fix sometime:

gcc -O2 -Wall -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -m32 -march=i386
-mtune=pentium4 dos2unix.c -o dos2unix
dos2unix.c: In function 'StripDelimiter':
dos2unix.c:162: warning: ignoring return value of 'ungetc', declared
with attribute warn_unused_result
dos2unix.c: In function 'ConvertDosToUnix':
dos2unix.c:245: warning: ignoring return value of 'ungetc', declared
with attribute warn_unused_result
dos2unix.c: In function 'ConvertDosToUnixNewFile':
dos2unix.c:356: warning: implicit declaration of function 'close'
dos2unix.c:368: warning: implicit declaration of function 'unlink'


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Mike A. Harris 2006-06-14 14:41:52 UTC
Clearing out old bugs that I have previously filed, which I do not wish
to track any longer.





Note You need to log in before you can comment on or make changes to this bug.